package com.gh.gamecenter.setting.provider

import android.content.Context
import android.content.Intent
import com.gh.gamecenter.core.provider.ISettingProvider
import com.gh.gamecenter.setting.view.AboutActivity
import com.gh.gamecenter.setting.view.SettingActivity
import com.gh.gamecenter.setting.view.security.BindPhoneActivity
import com.gh.gamecenter.setting.view.security.SecurityActivity


@com.therouter.inject.ServiceProvider
class SettingProviderImpl : ISettingProvider {
    override fun getSettingIntent(context: Context, isUpdate: Boolean, entrance: String): Intent {
        return SettingActivity.getIntent(context, isUpdate, entrance)
    }

    override fun getSecurityIntent(context: Context, entrance: String, isLogoutStyle: Boolean): Intent {
        return SecurityActivity.getIntent(context, entrance, isLogoutStyle)
    }

    override fun getBindPhoneNormalIntent(context: Context, isChangePhone: Boolean): Intent {
        return BindPhoneActivity.getNormalIntent(context, isChangePhone)
    }

    override fun getAboutIntent(context: Context?, isUpdate: Boolean): Intent {
        return AboutActivity.getIntent(context, isUpdate)
    }
}